KJL - Bug #1946

[Attendance Mobile] Perubahan Time Constrain agar Data Bertambah (Tidak Menimpa)
01/18/2023 05:44 PM - Mega Yunita

Status: Closed Start date: 01/18/2023
Priority: Normal Due date: 01/18/2023
Assignee: Fachrul Hardianto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Saat melakukan attendance dengan tipe yang berbeda, data akan tercatat dan menambah baris (sequence) baru. Yang perlu
disetting adalah :

1. Perubahan TimeConstraint dan MdSubFieldName menjadi N3 dan AttendanceType di table PCMEPMDCON

2. Menambahkan column Sequence di table fisik PHPA0019

3. Menambahkan FieldName Sequence di SDATATABLEFIELD table PHRPA0019

4. Mengisi PeriodConstraintType dengan N3, dan PeriodSequence dengan Sequence di table PCMWFDICTSTRUCT

(42 WIN-PHETIOZ58IH MinovaES_KJL - dbo.PCMEPMDCON - Microsoft SOL Server Management Studio — X
File Edit View Project Debug QueryDesigner Tools Window Help

P i S e | Sl NewQuery [y bR p3 i % a9 - o - S G el b | 3 [PCMWFRUNMAIN where Bizflon ~| | 30 257 S a]~ -
{ =) ) = | ChangeTpe- | 1 | (= | 29 /8] -

Otject e e a4

H}HE%EE 2] olumn ias able utp..  Sort Type ort Order L T o
Connect~ 37 37 T [#] 55 Col Al Tabl Outp... Sort Typ Sort Ord [s! 0 0
[ System Databases ~f» TableMame PCMEPM... 'phrpal019"
& Da.tabase Snapsho.ts payel I o
|_J MinovaDataES_MinovalS_AP i
LJ MinovaES_Amartha_Dev TimeConstraint PCMEPM...
|J MinovaES_Amartha_Prod MdSubFieldM... PCMEPM...
| ] MinovaES_Amartha_Staging AppCat PCMEPM...
|J MinovaES_Arita_Dev
Not PCMEPM...
[J MinovaES_BIA_Dev otes
|J MinovaFS_BIA_Prod CreateBy PCMEPM...
| J MinovaES_Dema CreateDate PCMEPM...
2 U MinovakS_ KIL ChangeBy PCMEPM...
[ Database Diagrams
=) £ Tables (filtered) ChangeDate PCMEPM...
(3 System Tables ]
FileTables
=1 dbo.PCMEPMDCON TableName Payroll TimeConstraint_MdSubFieldNa... AppCat Notes CreateBy CreateDate ChangeBy ChangeDate
= dbo.PCMEPMDCONS 3 PHRPADDS 0 N3 AttendanceType minovais 20160107010107  minovais 20160701010101
3 Views . NULL NULL NULL NULL NULL NULL NULL MULL MULL MULL
3 Synonyms
[ Programmability
[l Service Broker . o
Eal Storage Diubah menjadi N3
[ Security
| J MinovaES_LPPOM_Dev
LJ MinovakS_Silver_Package
| ReportServer
| J ReportServerTempDE
3 Security
[23 Server Objects
e e v .
A2 WIN-PHETIO259)H MinovaES_KJL - dbo.PHRPAOD1S - Microsoft SQL Server Management Studio - X
File Edit View Project Debug Table Designer Tools Window Help
Pl il S @ oNewauey [ RR RS 8 S B9 o -0 ]| e | 1% [PCMWFRUNMAIN where Bizflow =| | 5] 57 30 & = _

il | ad s B

Object Explorer = 3 EUINRSy oRE TSI IR SRR LY TR WIN-PHETIO259)...dbo.PCMEPMDCON

Connect~ 3} 3 w 7 [2] 5 Column Name Data Type Allow Nulls ol
[ System Databases Al ¢ startDate varchar(8) O
L3 Database Snapsho.ts @ EndDate varchar(3) O
|J MinovaDataES_Minoval5_AP
{3 MinovaES_Amartha_Dev ? EmployeelD varchar(18) O
| MinovaES_Amartha_Prod StartTime varchar(5)
|J MinovaES_Amartha_Staging StartLocation varchar(MAX)
| MinovaES_Arita_Dev
1 MinovaES_B14_Dev EndTime varchar(3)
lJ MinevaES_BIA_Prod Endlocation varchar(MAX)
|J MinevakS_Demo AttendanceType wvarchar(4)
|3 Minovaks_KIL Motes varchar(500]
[ Database Diagrams
= £ Tables (fitered) CreateBy varchar(18)
3 System Tables CreateDate varchar(14)
(3 FileTables ChangeBy varchar(18)
j_l dbe.PHRPACDIS ChangeDate varchar(14) Menambahkan column Sequence di table fisik PHRPAOO19
3 Views
£3 Synonyms AuditorFlag varchar(MAX) /
Programmability }% Sequence int N |
3 Service Broker =

07/04/2025 12




Az WIN-PHETIO259)H MinovaES_KJL - dbo.SDATATABLEFIELD - Microsoft SQL Server Management Studic
File Window Help

A= il (5l @ | D NewQuery [y 6B i i | % 52 (B9 - - &~
o] i = % | ChangeTpe- | ¢ kb | [ [ F37] -

Edit View Project Debug Query Designer Tools

|

| »

| [ [PCMWFRUNMAIN where Bizflow =| | 5] 57 36 o] = _

o] xplorer MRl WIN-PHBTIO258H....0 SDATATABLEFIELD
Connect~ 33 33 m 7 [2] 4§ Column Aliss Table Outp... SortType Sort Order Filter or.. "
[3 System Databases ~ o TableMame SDATATAE... ‘phrpa019'
1 Dstabase Snapshots FieldName SDATATAE...
|J MinovaDatakE5_Minovals_AP
| MinovakS_Amartha_Dev SeqNum SDATATAB...
| MinovaES_Amartha_Prod DataRef SDATATAB... v
[ MinovaES_Amartha_Staging
lJ MinovaES_Arita_Dev TableMName FieldMame SeqMum DataRef DataType Length Prec Scale TableRef FixedValue SearchFu
|J MinovaES_BIA Dev 3 PHRPAODT9 AttendanceType 3 ATTTYP 0 4 0 0 PHRTMATTTYP
|J MinovaES_BIA_Prod PHRPADDTS ChangeBy 1 CHANGEBY 0 18 0 0
lj m‘"m:fzim PHRPAODS ChangeDate 12 CHANGEDT 0 14 0 0
=N inovaks_|
[ [ Database Diagrams PHRPADDG CreateBy 9 CREATEBY 0 18 0 0
5 £ Tables (filtered) PHRPAODG CreateDate 10 CREATEDT 0 14 0 0
[ System Tables PHRPADDTS EmployeelD 4 EMPID 0 18 0 0
L3 FileTables PHRPAODTS EndDate 5 EDATE 0 8 0 0
= dbo.PHRPYMASSDAT -
= dbo.SDATAFIELDREF PHRPADDG EndLocation L ELOCAT 0 9999 0 0
3 dbo.SDATAFIELDREFT PHRPAOD1S EndTime 4 ETIME 0 5 0 0
& dbo.SDATAREF PHRPAODTS Motes 8 MOTES 0 500 0 0
3 dbo.SDATASOURCE | PHRPAODTS Sequence Fl SEQ 2 1 0 0 NULL |
; o ATATABLLFEL PHRPAODTS  StartDate 1 SDATE 5 3 0 0
0. . Menambahlan Fieldiame Sequence di
PHRPAODTS StartLocation 6 SLOCAT 0 9999 0 0
3 dbo.SDATATYPE SDATATABLEFIELD table PHRPA0OL9
= dbo.SDATAVARIANT PHRPAODTS StartTime 4 STIME 0 5 0
= dbo.SDATAVARIANTC . NULL MNULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
3 Views
3 Synonyms
3 Programmability
[ Service Broker < 5
v
- PR Chaenn . =
Az WIN-PHETIO238)H MinovaESs_KIL - dbo.PCMWFDICTSTRUCT - Microsoft SOL Server Management Studio - *

File Edit View Project Debug QueryDesigner Tools Window Help
BT P PR T LT 08 s e o || 1 5 1
S| ﬂlchangaType" 4 W\yllt: ‘ ﬂ[j;
Object Explorer = 3 % WIN-PHETIO250)...PCMWFDICTSTRUCT X
Connect~ 37 37 m [ [#] 3 Column Alias Table Outp.. Sort Type Sort Order Filter or.. Or... A
[(3 Database Snapshots ~ o TableMame PCMWFDI... *phrpad019’
| ) MinovaDataES_MinovalS_API \Tansported BCMWEDI
| MinovaES_Amartha_Dev P ’
[ MinovakS_Amartha_Prod SystemType PCMWFDL,
| MinovaES_Amartha_Staging PeriedType PCMWEFDI...
| MinovaES_Arita Dev PeriodConstr... PCMWEFD...
| MinovaES_BIA_Dev e I — v
| MinovaES BIA Prod TebleName IsTransported  SystemType PeriodType PeriodConstraintType _ PeriodStartDat... PeriodEndDate... PeriodSequel CreateByField  CreateDateField
1J} MinovaEs Demo b PHRPAODIY v sc N2 StartDatE EndDate reateBy CreateDate
2 | MinovaES_IL
£ Database Diagrams o |nuir NULL NuLL NULL y NULL NULL y NULL NULL
= 4 Tables (filtered)
£3 System Tables PeriodConstraintType diisi N3 PerlodSequence diisi Sequence
1 FileTables
2
3 Views
History
#1 - 01/19/2023 03:02 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned
#2 - 01/25/2023 02:19 PM - Mega Yunita
- Status changed from Assigned to Closed
Files
clipboard-202301181732-tixpd.png 108 KB 01/18/2023 Mega Yunita
clipboard-202301181734-ejlxw.png 91.4 KB 01/18/2023 Mega Yunita
clipboard-202301181736-hrc1p.png 128 KB 01/18/2023 Mega Yunita
clipboard-202301181742-qglfin.png 87.3 KB 01/18/2023 Mega Yunita
07/04/2025 22



http://www.tcpdf.org

